Bug 447705 - (CVE-2008-1951) CVE-2008-1951 sblim: libraries built with insecure RPATH
CVE-2008-1951 sblim: libraries built with insecure RPATH
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080516,publi...
: Security
Depends On: 446859 447712 447713 447714
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 05:32 EDT by Tomas Hoger
Modified: 2012-04-10 13:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 05:34:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-05-21 05:32:26 EDT
It was discovered that libraries shipped in sblim packages in Red Hat Enterprise
Linux 4 and 5 have RPATH set pointing to a directory in a world-writable
temporary directory:
/var/tmp/sblim-<version>-<release>-root-brewbuilder//usr/lib .  That directory
existed on the build system during the package build, but is unlikely to exist
on systems where sblim packages are installed.

This issue can be exploited by a local user to create fake library required by
sblim libraries and execute arbitrary code with the privileges of the
application using sblim such as tog-pegasus.
Comment 4 Tomas Hoger 2008-06-24 05:00:49 EDT
Lifting embargo.
Comment 5 Red Hat Product Security 2008-06-24 05:34:18 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0497.html


Note You need to log in before you can comment on or make changes to this bug.